Suggest Services
Suggest Birth Locality
The Suggest Birth Locality endpoint searches official and historical birth localities and returns the corresponding Belfiore code.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
Search query and optional birth date filtering.
| Field | Type | Description |
|---|---|---|
parreq | Object | Processing parameters for birth locality search |
function | String | Data set to search: Default value: |
level | Number | Search level: |
datareq | Object | Search criteria for birth locality lookup |
province_code | String | Province code |
locality | String | Locality description |
locality_id | Number | Locality identifier |
belfiore_code | String | Belfiore code |
minimum_date | String | Start of validity date (format: YYYY-MM-DD) |
maximum_date | String | End of validity date (format: YYYY-MM-DD) |
Response
Birth locality candidate list, Belfiore codes, and system status.
| Field | Type | Description |
|---|---|---|
data | Object | |
results | Array | Array of candidate matches returned by the suggestion engine |
locality_id | Number | Locality identifier |
province_code | String | Province code |
locality | String | Locality description |
belfiore_code | String | Belfiore code. In case of historical code it will be preceded by S- |
minimum_date | String | Start of validity date (format: YYYY-MM-DD) |
maximum_date | String | End of validity date (format: YYYY-MM-DD) |
system | Object | System error and execution status |
ret_code | Number | Code: 0 no blocking error, <> 0 blocking error code |
des_ret_code | String | Description |
curl -X POST "https://{host}:{port}/Egon/api/suggest/birthLocality" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"function": "official",
"level": 5
},
"data": {
"locality": "Viter"
}
}'